
Foreman - Refactor #29257

remove x-editable-rails

03/04/2020 12:49 PM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.3.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7640,

https://github.com/theforeman/foreman/p

ull/8052,

https://github.com/theforeman/foreman/p

ull/7775

  

Description

Remove this dependency as it relies on asset pipeline to pull in custom js files. Leverage our new js stack to deliver equivalent

functionality.

Related issues:

Related to Katello - Refactor #30520: Fix tests for HTTP proxy setting Closed

Related to Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed

Blocked by Foreman - Bug #30864: Impossible to nilify setting through API Rejected

Associated revisions

Revision 623542da - 09/23/2020 01:41 PM - Ondřej Pražák

Fixes #29257 - Remove x-editable-rails

Revision 1031e459 - 10/12/2020 10:45 AM - Ondřej Ezr

Refs #29257 - clean up unused setting UI helpers

In 623542da3c16d4033b94317e0ac757021132b884 setting helpers are moved into React.

Cleans up dead code after the shift.

History

#1 - 05/07/2020 11:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7640 added

#2 - 06/25/2020 11:51 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7775 added

#3 - 07/29/2020 02:52 PM - Ondřej Pražák

- Related to Refactor #30520: Fix tests for HTTP proxy setting added

#4 - 09/17/2020 10:39 AM - Ondřej Ezr

- Related to Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#5 - 09/17/2020 10:55 AM - Ondřej Ezr

- Blocked by Bug #30864: Impossible to nilify setting through API added

#6 - 09/21/2020 02:28 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8007 added

#7 - 09/21/2020 04:00 PM - Ondřej Ezr

- Pull request deleted (https://github.com/theforeman/foreman/pull/8007)

#8 - 09/23/2020 01:41 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#9 - 09/23/2020 02:01 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|623542da3c16d4033b94317e0ac757021132b884.

#10 - 10/06/2020 04:27 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8052 added

#11 - 11/03/2020 01:51 PM - Tomer Brisker

- Category set to JavaScript stack
